Number.prototype.pad = function(size) {
  var s = String(this);
  while (s.length < (size || 2)) {s = "0" + s;}
  return s;
}

let product_id = null;
let deposit = '0';
let button = document.createElement('div');
let input = document.getElementById('deposit-wrapper');
let amount = document.getElementById('deposit-amount');
let title = document.getElementById('deposit-title');
button.classList.add('thumblist-item');
button.classList.add('fakelink');
button.innerText = 'Deposit';
button.onclick = (ev) => {
    product_id = null;
    deposit = '0';
    title.innerText = 'Deposit';
    amount.innerText = (Math.floor(parseInt(deposit) / 100)) + '.' + (parseInt(deposit) % 100).pad();
    input.classList.add('show');
};
setup_custom_price = (pid, pname) => {
    product_id = pid;
    title.innerText = pname;
    deposit = '0';
    amount.innerText = (Math.floor(parseInt(deposit) / 100)) + '.' + (parseInt(deposit) % 100).pad();
    input.classList.add('show');    
};
deposit_key = (k) => {
    if (k == 'ok') {
	if (product_id === null) {
	    window.location.href = '/deposit?n=' + parseInt(deposit);
	} else {
	    window.location.href = '/buy?pid=' + product_id + '&price=' + parseInt(deposit);
	}
	deposit = '0';
	product_id = null;
	input.classList.remove('show');
    } else if (k == 'del') {
	if (deposit == '0') {
	    product_id = null;
	    input.classList.remove('show');
	}
	deposit = deposit.substr(0, deposit.length - 1);
	if (deposit.length == 0) {
	    deposit = '0';
	}
	amount.innerText = (Math.floor(parseInt(deposit) / 100)) + '.' + (parseInt(deposit) % 100).pad();
    } else {
	if (deposit == '0') {
	    deposit = k;
	} else {
	    deposit += k;
	}
	amount.innerText = (Math.floor(parseInt(deposit) / 100)) + '.' + (parseInt(deposit) % 100).pad();
    }
};

let list = document.getElementById('depositlist');
list.innerHTML = '';
list.appendChild(button);
